Bug 197480 - failed package updater
failed package updater
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-02 16:25 EDT by Justin-Barry Jerome
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 15:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
saved log file generated by system after component failure (2.00 KB, application/octet-stream)
2006-07-02 16:25 EDT, Justin-Barry Jerome
no flags Details
error rept. - new error dated 27/11/2006 (1.37 KB, application/octet-stream)
2006-11-28 04:35 EST, John Wardley
no flags Details

  None (edit)
Description Justin-Barry Jerome 2006-07-02 16:25:36 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Justin-Barry Jerome 2006-07-02 16:25:37 EDT
Created attachment 131859 [details]
saved log file generated by system after component failure
Comment 2 Roman Lazarev 2006-07-27 08:30:30 EDT
Ad more information into the body or the bug will hang out here forever.
Comment 3 Roman Lazarev 2006-07-27 08:32:18 EDT
Component: Software Updater
Summary: TB37c79dbe grabber.py:1102:_do_grab:OSError: [Errno 2] No such file or
directory: '//var/cache/yum/updates/packages/mono-core-1.1.13.7-1.fc5.1.x86_64.rpm'

Traceback (most recent call last):
  File "/usr/sbin/pup", line 292, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 596, in
applyChanges
    dlpkgs = self.downloadPackages(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 348, in
downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 663, in downloadPkgs
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 626, in get
    http_headers=headers,
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 411, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 397, in
_mirror_try
    return func_ref( *(fullurl,), **kwargs )
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 784, in
urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 702, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 772, in
retryfunc
    fo._do_grab()
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1102, in
_do_grab
    os.utime(self.filename, (modified_stamp, modified_stamp))
OSError: [Errno 2] No such file or directory:
'//var/cache/yum/updates/packages/mono-core-1.1.13.7-1.fc5.1.x86_64.rpm'

Local variables in innermost frame:
self: <urlgrabber.grabber.URLGrabberFileObject instance at 0x2af58dfd8290>
modified_stamp: 1146584468.0
new_fo: <closed file
'//var/cache/yum/updates/packages/mono-core-1.1.13.7-1.fc5.1.x86_64.rpm', mode
'wb' at 0x2af58d8ae7b0>
bs: 8192
modified_tuple: (2006, 5, 2, 15, 41, 8, 0, 1, 0, 0)
block:
size: 11301987
Comment 4 John Thacker 2006-10-29 08:29:47 EST
These are all bugs in pirut/pup, not up2date.  Pirut replaced up2date in FC5 and
forward.  Reassigning component.
Comment 5 Jeremy Katz 2006-10-30 13:41:07 EST
Does this still occur for you?
Comment 6 John Wardley 2006-11-28 04:35:51 EST
Created attachment 142270 [details]
error rept.  - new error dated 27/11/2006

This is a new error to my system - first time - 27/11/2006
Comment 7 Jeremy Katz 2007-04-09 15:41:16 EDT
This should be better with later updates

Note You need to log in before you can comment on or make changes to this bug.